
//! [MY_ENUM]

/*!
 * \brief This is brief description of My Enum.\n
 * 
 * \details This is detailed description of My Enum.\n
 * 
 * Here is snippet of the enum:\n
 * \snippet ./code.h MY_ENUM
 */
enum myEnum
{
	false,
	true
};

//! [MY_ENUM]



//! [MY_STRUCT]
/*! 
 * \brief This is brief description of My Struct.\n
 *
 * \details This is detailed description of My Struct.\n
 *
 * Here is snippet of the struct:\n
 * \snippet ./code.h MY_STRUCT
 */
struct myStruct
{
	int x;
	int y;
};

//! [MY_STRUCT]

/*!
 * \brief This is main function.\n
 *
 * \details It defines structs and enums.\n
 *
 * It performs following assignments:\n
 *
 * \snippet code.h MISC
 *
 * The End
 *
 */
void main (void)
{
	struct myStruct s1;
	struct myStruct s2;
	enum myEnum e1 = false;
	enum myEnum e2 = true;

//! [MISC]
	s1.x = 1;
	s1.y = 2;

	s2.x = e1;
	s2.y = e2;
//! [MISC]
}
